﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropDemo.Model
{
    public class ModelBase
    {
        public Guid ID { get; set; } = Guid.NewGuid();

        public string Comment { get; set; } = "";

        public string CreatedBy { get; set; } = Environment.UserName;
        public DateTime CreationTimeStamp { get; set; } = DateTime.Now;

        public string LastModifiedBy { get; set; } = Environment.UserName;
        public DateTime LastModifiedTimeStamp { get; set; } = DateTime.Now;
    }
}
