﻿using DragDropDemo.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropDemo.ViewModel
{
    public class OrganisationListViewModel : ViewModelBase
    {
        public OrganisationList OrganisationListModel { get; set; }

        public OrganisationListViewModel(OrganisationList organisationListModel)
        {
            OrganisationListModel = organisationListModel;

            Name = OrganisationListModel.Name;

            ID = OrganisationListModel.ID;
            Comment = OrganisationListModel.Comment;
            CreatedBy = OrganisationListModel.CreatedBy;
            CreationTimeStamp = OrganisationListModel.CreationTimeStamp;
            LastModifiedBy = OrganisationListModel.LastModifiedBy;
            LastModifiedTimeStamp = OrganisationListModel.LastModifiedTimeStamp;

        }

        public string Name
        {
            get { return OrganisationListModel.Name; }
            set { OrganisationListModel.Name = value; RaisePropertyChanged(); }
        }


        #region ModelBase
        //ModelBase
        public Guid ID
        {
            get { return OrganisationListModel.ID; }
            set { OrganisationListModel.ID = value; RaisePropertyChanged(); }
        }
        public string Comment
        {
            get { return OrganisationListModel.Comment; }
            set { OrganisationListModel.Comment = value; RaisePropertyChanged(); }
        }
        public string CreatedBy
        {
            get { return OrganisationListModel.CreatedBy; }
            set { OrganisationListModel.CreatedBy = value; RaisePropertyChanged(); }
        }
        public DateTime CreationTimeStamp
        {
            get { return OrganisationListModel.CreationTimeStamp; }
            set { OrganisationListModel.CreationTimeStamp = value; RaisePropertyChanged(); }
        }
        public string LastModifiedBy
        {
            get { return OrganisationListModel.LastModifiedBy; }
            set { OrganisationListModel.LastModifiedBy = value; RaisePropertyChanged(); }
        }
        public DateTime LastModifiedTimeStamp
        {
            get { return OrganisationListModel.LastModifiedTimeStamp; }
            set { OrganisationListModel.LastModifiedTimeStamp = value; RaisePropertyChanged(); }
        }
        //End ModelBase
        #endregion

      
    }
}
